#!/bin/bash

set -e

if [[ -z "${EXPIRATION_DAYS}" ]]; then
    EXPIRATION_DAYS_ARG=""
else
    EXPIRATION_DAYS_ARG="--expiration-days ${EXPIRATION_DAYS}"
fi

if [[ -z "${MAX_BYTES}" ]]; then
    MAX_BYTES_ARG=""
else
    MAX_BYTES_ARG="--max-bytes ${MAX_BYTES}"
fi

eval exec /usr/bin/configure_minio_bucket.py --config-file ${WRITABLE_BASE_DIR}/etc/lastline/minio.ini ${EXPIRATION_DAYS_ARG} ${MAX_BYTES_ARG}
